# $Revision: 1.13 $, $Date: 2005/01/25 15:47:21 $
%define		zope_subname	ExtFile
Summary:	Product stores large files in an external file-repository
Summary(pl):	Produkt umoliwiajcy obsug duych plikw w zewntrznych repozytoriach
Name:		Zope-%{zope_subname}
Version:	1.4.4
Release:	1
License:	Distributable
Group:		Development/Tools
Source0:	http://zope.org/Members/shh/%{zope_subname}/%{version}/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	4e13441da832a904cb75ad367388ae8b
URL:		http://zope.org/Members/shh/ExtFile/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	python-Imaging
Requires:	Zope
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ExtFile Product stores large files in an external file-repository
and is able to display icons for different MIME-Types.

%description -l pl
Produkt ExtFile umoliwia obsug duych plikw w zewntrznych
repozytoriach i wywietlanie ich ikonek dla rnych typw MIME.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {Extensions,dtml,icons,tests,utilities,www,*.py,version.txt,refresh.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc doc-1.1/ CHANGES.txt README.txt UPGRADE.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-ExtFile.spec,v $
Revision 1.13  2005/01/25 15:47:21  ciesiel
- upgraded to version 1.4.4

Revision 1.12  2005/01/13 06:39:55  ankry
- spaces -> tabs

Revision 1.11  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.10  2005/01/04 08:54:42  saq
- now it's rel 2

Revision 1.9  2004/12/26 18:53:25  saq
- release 2 for rebuild with python 2.4

Revision 1.8  2004/10/30 11:59:12  paladine
- spaces->tabs

Revision 1.7  2004/10/16 15:10:33  paladine
- spelling fix

Revision 1.6  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2004/05/10 14:10:44  ciesiel
- upgraded to version 1.4.2

Revision 1.4  2004/04/09 07:10:08  ciesiel
- upgraded to version 1.4.0

Revision 1.3  2004/01/03 02:03:36  ciesiel
- changed req.

Revision 1.2  2004/01/03 01:36:59  ciesiel
- upgraded to 1.2.0 version

Revision 1.1  2004/01/03 00:18:48  ciesiel
- initial release
